nymea-plugins-modbus (1.14.2) noble; urgency=medium

  [ Simon Stürz ]
  * PCE: Set propper modbus defaults and phaseCount state handling

 -- jenkins <developer@nymea.io>  Thu, 19 Feb 2026 16:28:04 +0100

nymea-plugins-modbus (1.14.1) noble; urgency=medium

  [ Simon Stürz ]
  * schrack: Fix version regular expression in the discovery
  * PCE: Assume current power for firmware version 0.19
  * PCE: Add R37 registers and the thing class witout meter

 -- jenkins <developer@nymea.io>  Mon, 16 Feb 2026 12:03:43 +0100

nymea-plugins-modbus (1.14.0) noble; urgency=medium

  [ Michael Schwarz ]
  * SunSpec: Fix reading data of large SunSpec models

  [ Simon Stürz ]
  * PCE: Add status state representing the EV state
  * Update EV charger interface and add full charging current resolution

 -- jenkins <developer@nymea.io>  Mon, 12 Jan 2026 10:48:20 +0100

nymea-plugins-modbus (1.13.0) jammy; urgency=medium

  [ Simon Stürz ]
  * Update license text and add SPDX identifier

 -- jenkins <developer@nymea.io>  Tue, 02 Dec 2025 10:39:25 +0100

nymea-plugins-modbus (1.12.4) jammy; urgency=medium


 -- jenkins <developer@nymea.io>  Thu, 27 Nov 2025 11:06:10 +0100

nymea-plugins-modbus (1.12.3) jammy; urgency=medium


 -- jenkins <developer@nymea.io>  Tue, 04 Nov 2025 11:39:00 +0100

nymea-plugins-modbus (1.12.2) jammy; urgency=medium


 -- jenkins <developer@nymea.io>  Wed, 29 Oct 2025 12:28:18 +0100

nymea-plugins-modbus (1.12.1) jammy; urgency=medium

  [ Michael Schwarz ]
  * libnymea-sunspec: Fix conversion from float to quint16 in
    SunSpecDataPoint::convertFromFloatWithSSF
  * libnymea-sunspec: Implement handling of SunSpec repeating blocks.

  [ Simon Stürz ]
  * SolarEdge: Update gateway thing classes and discovery

 -- jenkins <developer@nymea.io>  Fri, 17 Oct 2025 11:28:20 +0200

nymea-plugins-modbus (1.12.0) jammy; urgency=medium

  [ Simon Stürz ]
  * Huawei: Add smart logger 3000 support
  * Kostal: Switch to queued requests and add PIKO CI support
  * Wattsonic: Improve inverter generation detection and provide
    fallback mechanism
  * PhoenixConnect: Send requests sequential instead of parallel
  * Add Qt6 support

 -- jenkins <developer@nymea.io>  Thu, 11 Sep 2025 14:25:48 +0200

nymea-plugins-modbus (1.11.1) jammy; urgency=medium

  [ Simon Stürz ]
  * SunSpec: Fix enable charging/discharging actions for energy storages
  * SMA: Improve datetime performance
  * Sungrow: Fix battery calculations and add device type string
  * Mennekes: Fix network device monitor setup handling
  * PCE: Add new settings and adopt to firmware 0.22
  * Wattsonic: Refactor connection structure and improve gen2 / gen3
    support
  * Sma: Fix setup of monitor based sma devices

 -- jenkins <developer@nymea.io>  Thu, 22 May 2025 15:29:11 +0200

nymea-plugins-modbus (1.11.0) jammy; urgency=medium

  [ Simon Stürz ]
  * Alphainnotec: Update to networkdevice interface
  * Amperfied: Update to networkdevice interface
  * Huawei: Update to networkdevice interface
  * IDM: Update to networkdevice interface
  * Kostal: Update to networkdevice interface
  * Mennekes: Update to networkdevice interface
  * Modbuscommander: Update network device discovery
  * MTec: Update to networkdevice interface
  * PC-Electric: Update to networkdevice interface
  * PhoenixConnect: Update to networkdevice interface
  * SMA: Update to networkdevice interface
  * Solax: Update to networkdevice interface
  * Stiebeleltron: Update to the networkdevice interface
  * Sungrow: Update to networkdevice interface
  * SunSpec: Update to networkdevice interface
  * Vestel: Update to networkdevice interface
  * Webasto: Update to networkdevice interface
  * Inro: Pantabox improve connected handling
  * Schrack: Default to 3-phase connection

 -- jenkins <developer@nymea.io>  Sun, 30 Mar 2025 20:37:37 +0200

nymea-plugins-modbus (1.10.0) jammy; urgency=medium

  [ Simon Stürz ]
  * Vestel: Improve Vestel/Webasto discovery
  * Fix duplicated pluginid senseair
  * Wattsonic: Add modbus slave ID as discovery parameter

 -- jenkins <developer@nymea.io>  Fri, 06 Dec 2024 14:41:46 +0100

nymea-plugins-modbus (1.9.5) jammy; urgency=medium

  [ Simon Stürz ]
  * PcElectric: Update action handling based on single register

  [ Jenkins ]
  * SMA: Improve debug logging when offline

 -- jenkins <developer@nymea.io>  Mon, 28 Oct 2024 15:27:01 +0100

nymea-plugins-modbus (1.9.4) jammy; urgency=medium

  [ Simon Stürz ]
  * PC-Electric: Add integration plugin documentation

  [ Jenkins ]
  * INRO: PANTABOX add support for Modbus API V1.1 and 1.2

  [ Simon Stürz ]
  * PCE: Add serial number as paramter
  * Update license and debian copyright
  * SMA: Fix circular disovery on multiple interfaces in the same
    network

 -- jenkins <developer@nymea.io>  Wed, 02 Oct 2024 10:42:01 +0200

nymea-plugins-modbus (1.9.3) jammy; urgency=medium

  [ Boernsman ]
  * New plugin: Sungrow

  [ Simon Stürz ]
  * New Plugin: Inro: Add support for PANTABOX
  *  Mennekes: Update translations and allow IP based connections
  * modbus-tool: Create TCP connection pure virtual base class
  * Update debian packaging and compat level

 -- jenkins <developer@nymea.io>  Fri, 19 Jul 2024 21:06:40 +0200

nymea-plugins-modbus (1.9.2) jammy; urgency=medium

  [ Simon Stürz ]
  * SMA: Update value reading filter
  * New plugin: PC Electric
  * Solax: Make sure the update is working for queued connections
  * Update nymea-modbus-cli documentation
  * SunSpec: Update read block behavior and prevent duplicated things
  * SunSpec: Improve discovery and handle blocking connections
  * Wattsonic: Update connection behavior and fix PV production value
  * Menekes:  Fix AmtronECU charging state for firmware version < 5.22
  * Menekes: Reconnect AmtronECU in case of dead Modbus TCP connection

 -- jenkins <developer@nymea.io>  Tue, 14 May 2024 15:04:09 +0200

nymea-plugins-modbus (1.9.1) jammy; urgency=medium

  [ Michael Zanetti ]
  * New Plugin: Vestel
  * New plugin: Wattsonic
  * Webasto: Add support for the Webasto Unite wallbox

  [ Simon Stürz ]
  * Mennekes: Add support for Mennekes ECU with 5.12 firmware
  * Vestel: Update charging current behavior

 -- jenkins <developer@nymea.io>  Fri, 12 Jan 2024 13:01:57 +0100

nymea-plugins-modbus (1.9.0) jammy; urgency=medium

  [ Michael Zanetti ]
  * New Plugin: Vestel

  [ Simon Stürz ]
  * New plugin: Solax

  [ Michael Zanetti ]
  * Schrack: Improve some debug prints
  * New plugin: Wattsonic
  * Amperfied: Add support for connect.solar and connect.business
  * Webasto: Add support for the Webasto Unite wallbox

  [ Jenkins ]
  * Huawei: smartmeter add totals

  [ Bernhard Trinnes ]
  * UniPi: Removed UniPi debian package dependency to wiringpi

  [ Simon Stürz ]
  * Mennekes: Add support for Mennekes ECU with 5.12 firmware
  * Adding LGPL3 license file
  * SunSpec: Filter out invalid energy produced values
  * Huawei: Update battery behaviour depending on the battery state

 -- jenkins <developer@nymea.io>  Fri, 15 Dec 2023 10:21:52 +0100

nymea-plugins-modbus (1.8.4) jammy; urgency=medium

  [ Simon Stürz ]
  * Webasto: Add support fot the Webasto NEXT wallbox

  [ Michael Zanetti ]
  * SMA: Add support for batteries

 -- jenkins <developer@nymea.io>  Fri, 18 Aug 2023 17:12:30 +0200

nymea-plugins-modbus (1.8.3) jammy; urgency=medium

  [ Simon Stürz ]
  * Webasto: Add support fot the Webasto NEXT wallbox

  [ Michael Zanetti ]
  * Mennekes: Add solarChargingMode state to Compact20s
  * SMA: Add support for batteries
  * Mennekes: Use voltage instead of current to determine connected
    phases
  * Schrack: Fix a crash when the setup of the wallbox fails

  [ Simon Stürz ]
  * Schrack: Add setting for connected phases

  [ Michael Zanetti ]
  * Amperfied: Fix a crash when the Modbus RTU Master is removed
  * Schrack: Ignore bogus CP signal state which happens occationally

 -- jenkins <developer@nymea.io>  Thu, 17 Aug 2023 14:11:27 +0200

nymea-plugins-modbus (1.8.2) jammy; urgency=medium

  [ Simon Stürz ]
  * Huawei: Extend discovery to scan for multiple modbus servers

  [ Michael Zanetti ]
  * Amperfied: Fix the standby register being Write-Only in old
    firmwares
  * Mennekes: Fix amtron ECU power action handling

  [ Simon Stürz ]
  * SMA: Improve speedwire interface handling and sharing

 -- jenkins <developer@nymea.io>  Wed, 26 Jul 2023 15:35:08 +0200

nymea-plugins-modbus (1.8.1) jammy; urgency=medium

  [ Michael Zanetti ]
  * ModbusCommander: Fix value state name typo

  [ Simon Stürz ]
  * SMA: improve inverter value reading and enable battery
  * SunSpec: Fix autoremove devices if the model does not exist any more
  * nymea-modbus-cli: Add exception code parsing

 -- jenkins <developer@nymea.io>  Sun, 11 Jun 2023 19:44:25 +0200

nymea-plugins-modbus (1.8.0) jammy; urgency=medium

  [ Bernhard Trinnes ]
  * Drexel und Weiss: Add smartmeterconsumer interface

  [ Michael Zanetti ]
  * Amperfied/Heidelberg: Disable auto-standby and smaller fixes

  [ Simon Stürz ]
  * SunSpec: Fix meter phase power and phase current signs
  * modbus-tool: Introduce string endianess

  [ Michael Zanetti ]
  * Mennekes: Complete HCC3 controller implementation

  [ Simon Stürz ]
  * nymea-modbus-cli: Add modbus RTU functionality
  * SunSpec: Do not delete TCP connection upon reconnect
  * SunSpec: Precise discovery and use network device monitor
  * SMA: Improve speedwire protocol handling and add SMA battery

  [ Michael Zanetti ]
  * Mennekes: Add support for the Amtron Compact 2.0

  [ Simon Stürz ]
  * modbus-tool: process response only if the result register count
    matches the requested size

 -- jenkins <developer@nymea.io>  Mon, 22 May 2023 17:15:16 +0200

nymea-plugins-modbus (1.7.0) jammy; urgency=medium

  [ Michael Zanetti ]
  * New plugin: Senseair S8
  * Drexel&Weiss: Add min/max values to co2sensor

  [ Simon Stürz ]
  * ModbusRtu connection: Check reachablility in constructor

  [ Michael Zanetti ]
  * New plugin: Amperfied/Heidelberg

  [ Bernhard Trinnes ]
  * Drexel und Weiss: Add smartmeterconsumer interface

  [ Simon Stürz ]
  * huawei: Set energy states to 0 if not connected and filter invalid
    energy counter values
  * SMA: set energy values to 0 on disconnected

  [ Michael Zanetti ]
  * Schrack: Add firmware version state
  * Schrack: Rework discovery

 -- jenkins <developer@nymea.io>  Tue, 07 Mar 2023 17:25:40 +0100

nymea-plugins-modbus (1.6.3) jammy; urgency=medium

  [ Michael Zanetti ]
  * Mennekes: Add firmware version check and workaround erraneously
    signalled 0A max
  * Mennekes: Discard unknown discovery results

 -- jenkins <developer@nymea.io>  Wed, 01 Feb 2023 12:18:26 +0100

nymea-plugins-modbus (1.6.2) jammy; urgency=medium

  [ Michael Zanetti ]
  * Schrack: Fix connection leak on failed setup
  * Mennekes: Discard unknown discovery results

  [ Simon Stürz ]
  * SMA: fix power parsing for SunnyWebBox
  * modbuscommander: update actions and fix RTU crash on resource
    removal

 -- jenkins <developer@nymea.io>  Tue, 17 Jan 2023 16:38:07 +0100

nymea-plugins-modbus (1.6.1) jammy; urgency=medium

  [ Simon Stürz ]
  * SMA: Update speedwire discovery

  [ Michael Zanetti ]
  * Mennekes: Fix CP signal state E handling

 -- jenkins <developer@nymea.io>  Fri, 23 Dec 2022 11:32:54 +0100

nymea-plugins-modbus (1.6.0) jammy; urgency=medium

  [ Michael Zanetti ]
  * Kostal: Fix state name for total returned energy

  [ Simon Stürz ]
  * SMA: Import plugin from nymea-plugins and add modbus inverters
  * SunSpec: Fix storage state and improve overall generic connection

  [ Michael Zanetti ]
  * Mennekes: Don't filter for MAC address manufacturer during discovery

  [ Simon Stürz ]
  * iDM: Update to modbus tools and latest interfaces
  * SMA: Update speedwire discovery

  [ Michael Zanetti ]
  * Mennekes: Fix CP signal state E handling
  * Phoenix: Handle emeter register underflow on wallbox and make
    discovery weak

 -- jenkins <developer@nymea.io>  Wed, 14 Dec 2022 23:59:37 +0100

nymea-plugins-modbus (1.5.1) jammy; urgency=medium


 -- jenkins <developer@nymea.io>  Mon, 07 Nov 2022 12:48:34 +0100

nymea-plugins-modbus (1.5.0) jammy; urgency=medium

  [ Michael Zanetti ]
  * New plugin: Mennekes HCC3 and ECU wallboxes
  * Add host address to error debug prints
  * Schrack: Only complete the setup if reading a register actually
    works
  * PhoenixConnect: Improve plugin stability

  [ Simon Stürz ]
  * Clean up network device discovery replies due to mechanism update

  [ Michael Zanetti ]
  * Add a parameter to write registers to the cli

 -- jenkins <developer@nymea.io>  Thu, 27 Oct 2022 12:03:49 +0200

nymea-plugins-modbus (1.4.1) jammy; urgency=medium

  [ Simon Stürz ]
  * Kostal: Add total energy returned to grid property

 -- jenkins <developer@nymea.io>  Fri, 30 Sep 2022 12:08:08 +0200

nymea-plugins-modbus (1.4.0) jammy; urgency=medium

  [ Simon Stürz ]
  * New plugin: KOSTAL Solar Electric
  * nymea-modbus-cli: Add nymea modbus tool for testing purposes
  * modbus-tool: Improve initialize and update mechanism of generated
    connection classes

  [ Michael Zanetti ]
  * Schrack: Support wallboxes without RFID reader

  [ Simon Stürz ]
  * Huawei: Adding modbus RTU functionality and update FusionSolar
    discovery

  [ Michael Zanetti ]
  * PhoenixConnect: Update maximum values

 -- jenkins <developer@nymea.io>  Wed, 24 Aug 2022 17:19:28 +0200

nymea-plugins-modbus (1.3.1) jammy; urgency=medium


 -- jenkins <developer@nymea.io>  Mon, 11 Jul 2022 15:35:31 +0200

nymea-plugins-modbus (1.3.0) jammy; urgency=medium

  [ Michael Zanetti ]
  * PhoenixConnect: Rename wallbe plugin and add support for Compleo and
    Scapo wallboxes

  [ Simon Stürz ]
  * modbus-tool: Fix issue #69 : make json without blocks work again
  * modbus-tool: Add register read finished signal
  * SunSpec: Introduce reconnect on to many timeout errors and update
    connected state handling

 -- jenkins <developer@nymea.io>  Thu, 30 Jun 2022 15:05:32 +0200

nymea-plugins-modbus (1.2.0) jammy; urgency=medium

  [ Simon Stürz ]
  * Huawei: Update state cache behaviour
  * New plugin: Stiebel Eltron heatpumps
  * Restructure modbus connection tool
  * Introduce libnymea-modbus
  * Update plugins to new libnymea-modbus and autogenerate connection
    classes
  * Update overall modbus reply handling in generated classes and source

 -- jenkins <developer@nymea.io>  Tue, 14 Jun 2022 14:54:47 +0200

nymea-plugins-modbus (1.1.0) jammy; urgency=medium

  [ Michael Zanetti ]
  * New Plugin: Schrack i-CHARGE CION
  * Update plugin selection qmake arguments

  [ Simon Stürz ]
  * Add smartmeterconsumer interface due to evcharger interface update

 -- jenkins <developer@nymea.io>  Mon, 25 Apr 2022 23:54:56 +0200

nymea-plugins-modbus (1.0.0) xenial; urgency=medium

  [ Simon Stürz ]
  * Update modbus connection generate tool

  [ Michael Zanetti ]
  * Wallbe: Update plugin metadata
  * Packaging: Split translations and consolidate package descriptions
  * Split energymeters into separate inepro Metering and B+G E-Tech
    plugins
  * Wallbe: Fix eventTypeId -> actionParamTypeId typo

  [ Simon Stürz ]
  * SunSpec: Remove Kostal sunspec connection in favor of custom modbus
    implementation

  [ Michael Zanetti ]
  * Sunspec: Set weak discovery type

  [ Simon Stürz ]
  * SunSpec: Fix solar edge battery detection

  [ Jenkins ]

 -- Jenkins <jenkins@nymea.io>  Wed, 23 Mar 2022 13:25:41 +0100

nymea-plugins-modbus (0.30.0) xenial; urgency=medium

  [ Michael Zanetti ]
  * 0.30
  * Update to new energystorage interface

  [ Simon Stürz ]
  * New plugin: Alpha Innotec heat pumps
  * SunSpec: Fix energy values for solar edge battery
  * Update wallbox interface states
  * EnergyMeters: Refactor using modbus tools
  * Unipi: Update unipi to libnymea-gpio changes
  * Add modbus class generator tools

  [ Michael Zanetti ]
  * WebastoLive: Add modbus registers doc PDF

 -- Jenkins <jenkins@nymea.io>  Mon, 13 Dec 2021 00:48:17 +0100

nymea-plugins-modbus (0.29.1) xenial; urgency=medium

  [ Michael Zanetti ]
  * UniPi: Fix gpio includes

 -- Jenkins <jenkins@nymea.io>  Tue, 09 Nov 2021 00:48:57 +0100

nymea-plugins-modbus (0.29.0) xenial; urgency=medium


  [ Simon Stürz ]
  * Add libnymea-sunspec and update SunSpec plugin containing SolarEdge
    battery

  [ Michael Zanetti ]
  * Bump version to 0.29.0

  [ Simon Stürz ]
  * Build with gcc 9
  * Add option to generate libnymea-sunspec with a minimal model set to
    minimize the library size
  * Unipi: Update to libnymea-gpio

 -- Jenkins <jenkins@nymea.io>  Thu, 09 Sep 2021 13:01:39 +0200

nymea-plugins-modbus (0.24.5) xenial; urgency=medium

  [ Bernhard Trinnes ]
  * New Plugin: iDM

  [ Simon Stürz ]
  * ModbusCommander: Use new modbus RTU hardware resource for the modbus
    commander plugin

  [ Bernhard Trinnes ]
  * New plugin: Energy meters

  [ Simon Stürz ]
  * New Plugin: M-Tec

  [ Bernhard Trinnes ]
  * Drexel & Weiss: Switched to modbus rtu resource

  [ Simon Stürz ]
  * Improve modbus TCP class and reconnect mechanism
  * Update plugins to make use of the nymea internal network discovery

  [ Michael Zanetti ]
  * Update to new smartmeter interfaces

 -- Jenkins <jenkins@nymea.io>  Wed, 30 Jun 2021 12:44:16 +0200

nymea-plugins-modbus (0.24.4) xenial; urgency=medium

  [ Michael Zanetti ]
  * Enable building on Ubuntu 21.04

 -- Jenkins <jenkins@nymea.io>  Wed, 19 May 2021 18:25:55 +0200

nymea-plugins-modbus (0.24.3) xenial; urgency=medium

  [ Bernhard Trinnes ]
  * Wallbe: Fix discovery

 -- Jenkins <jenkins@nymea.io>  Sat, 17 Apr 2021 20:03:16 +0200

nymea-plugins-modbus (0.24.2) xenial; urgency=medium

  [ Bernhard Trinnes ]
  * New plugin: SunSpec
  * New Plug-In: UniPi (moved repo nymea-plugin-unipi)
  * Wallbe: Updated extendevcharger interface
  * New plugin: Webasto

  [ Michael Zanetti ]
  * Update dependency to renamed libnymea-dev package

 -- Jenkins <jenkins@nymea.io>  Fri, 19 Feb 2021 01:34:32 +0100

nymea-plugins-modbus (0.24.1) xenial; urgency=medium

  [ Bernhard Trinnes ]
  * Modbus Commander: improve setup

 -- Jenkins <jenkins@nymea.io>  Tue, 15 Dec 2020 11:05:43 +0100

nymea-plugins-modbus (0.24.0) xenial; urgency=medium  * Add first plugins

 -- Jenkins <jenkins@nymea.io>  Fri, 23 Oct 2020 13:13:47 +0200
